RubyGems Navigation menu

layeredyamlconfig 1.4.4

LayeredYAMLConfig provides a simple config file that supports multiple layers. Values in the right or uppermost layers override values in lower layers. This makes it easy to share configuration without duplication while still allowing what needs to be different to vary. For example: program.default.conf program.server_foo.conf program.site_bar.conf program.conf Optionally, leaf nodes can be evaluated using as ERB templates, feeding the configuration into itself.

Versions:

  1. 1.4.4 - September 24, 2013 (13.5 KB)
  2. 1.4.3 - September 22, 2013 (12.5 KB)

Authors:

  • James FitzGibbon

Owners:

B32bae7b4570889972244b726eac6b0e

Sha 256 checksum:

56c006c94351e1fbb7d4630fb94fed636ba98376c111970eb69e09b661aa8dbc

Total downloads 1,461

For this version 787

Required Ruby Version: None

Licenses:

MIT

Gemfile:
= Copy to clipboard Copied!

install:
= Copy to clipboard Copied!

Links: